com.google.cloud.dataflow.examples.cookbook

## Interface TriggerExample.TrafficFlowOptions

All Superinterfaces:
  ApplicationNameOptions, BigQueryOptions, CloudDebuggerOptions, DataflowExampleOptions, DataflowPipelineDebugOptions, DataflowPipelineOptions, DataflowPipelineWorkerPoolOptions, DataflowProfilingOptions, DataflowWorkerLoggingOptions, ExampleBigQueryTableOptions, ExamplePubsubTopicOptions, GcpOptions, GcsOptions, GoogleApiDebugOptions, HasDisplayData, PipelineOptions, StreamingOptions

Enclosing class:
  TriggerExample

    public static interface TriggerExample.TrafficFlowOptions
    extends ExamplePubsubTopicOptions, ExampleBigQueryTableOptions, DataflowExampleOptions

Inherits standard configuration options.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.examples.common.ExamplePubsubTopicOptions

`ExamplePubsubTopicOptions.PubsubTopicFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.examples.common.ExampleBigQueryTableOptions

`ExampleBigQueryTableOptions.BigQueryTableFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineOptions

`DataflowPipelineOptions.JobNameFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineDebugOptions

`DataflowPipelineDebugOptions.DataflowClientFactory, DataflowPipelineDebugOptions.PathValidatorFactory, DataflowPipelineDebugOptions.StagerFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineWorkerPoolOptions

`DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType, DataflowPipelineWorkerPoolOptions.TeardownPolicy, DataflowPipelineWorkerPoolOptions.WorkerHarnessContainerImageFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.GcsOptions

`GcsOptions.ExecutorServiceFactory`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.DataflowWorkerLoggingOptions

`DataflowWorkerLoggingOptions.Level, DataflowWorkerLoggingOptions.WorkerLogLevelOverrides`

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.DataflowProfilingOptions

`DataflowProfilingOptions.DataflowProfilingAgentConfiguration`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getInput()`
`Integer` `getWindowDuration()`
`void` `setInput(String value)`
`void` `setWindowDuration(Integer value)`

### Methods inherited from interface com.google.cloud.dataflow.examples.common.ExamplePubsubTopicOptions

`getPubsubTopic, setPubsubTopic`

### Methods inherited from interface com.google.cloud.dataflow.examples.common.ExampleBigQueryTableOptions

`getBigQueryDataset, getBigQuerySchema, getBigQueryTable, setBigQueryDataset, setBigQuerySchema, setBigQueryTable`

### Methods inherited from interface com.google.cloud.dataflow.examples.common.DataflowExampleOptions

`getInjectorNumWorkers, getKeepJobsRunning, setInjectorNumWorkers, setKeepJobsRunning`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineOptions

`getJobName, getLabels, getProject, getStagingLocation, getUpdate, setJobName, setLabels, setProject, setStagingLocation, setUpdate`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineDebugOptions

`getApiRootUrl, getDataflowClient, getDataflowEndpoint, getDataflowJobFile, getDumpHeapOnOOM, getExperiments, getNumberOfWorkerHarnessThreads, getOverrideWindmillBinary, getPathValidator, getPathValidatorClass, getPubsubRootUrl, getStager, getStagerClass, getTransformNameMapping, getWindmillServiceEndpoint, getWindmillServicePort, setApiRootUrl, setDataflowClient, setDataflowEndpoint, setDataflowJobFile, setDumpHeapOnOOM, setExperiments, setNumberOfWorkerHarnessThreads, setOverrideWindmillBinary, setPathValidator, setPathValidatorClass, setPubsubRootUrl, setStager, setStagerClass, setTransformNameMapping, setWindmillServiceEndpoint, setWindmillServicePort`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.DataflowPipelineWorkerPoolOptions

`getAutoscalingAlgorithm, getDiskSizeGb, getFilesToStage, getMaxNumWorkers, getNetwork, getNumWorkers, getSubnetwork, getTeardownPolicy, getUsePublicIps, getWorkerDiskType, getWorkerHarnessContainerImage, getWorkerMachineType, getZone, setAutoscalingAlgorithm, setDiskSizeGb, setFilesToStage, setMaxNumWorkers, setNetwork, setNumWorkers, setSubnetwork, setTeardownPolicy, setUsePublicIps, setWorkerDiskType, setWorkerHarnessContainerImage, setWorkerMachineType, setZone`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.BigQueryOptions

`getTempDatasetId, setTempDatasetId`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.GcsOptions

`getExecutorService, getGcsEndpoint, getGcsUploadBufferSizeBytes, getGcsUtil, setExecutorService, setGcsEndpoint, setGcsUploadBufferSizeBytes, setGcsUtil`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.CloudDebuggerOptions

`getDebuggee, getEnableCloudDebugger, getMaxConditionCost, setDebuggee, setEnableCloudDebugger, setMaxConditionCost`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.DataflowWorkerLoggingOptions

`getDefaultWorkerLogLevel, getWorkerLogLevelOverrides, setDefaultWorkerLogLevel, setWorkerLogLevelOverrides`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.DataflowProfilingOptions

`getEnableProfilingAgent, getProfilingAgentConfiguration, setEnableProfilingAgent, setProfilingAgentConfiguration`

### Method Detail

#### getInput

    @Default.String(value="gs://dataflow-samples/traffic_sensor/Freeways-5Minaa2010-01-01_to_2010-02-15.csv")
    String getInput()

#### setInput

    void setInput(String value)

#### getWindowDuration

    @Default.Integer(value=30)
    Integer getWindowDuration()

#### setWindowDuration

    void setWindowDuration(Integer value)